#!/bin/sh

config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/rc.d/rc.messagebus.new

# If the messagebus user/group don't exist, add them:
if ! grep -q  messagebus /etc/group; then
        groupadd messagebus
fi
if ! grep -q messagebus /etc/passwd; then
        useradd -g messagebus -d /etc/messagebus -c "dbus" -s /bin/false messagebus
fi

# most of this doinst.sh is taken from the dropline doinst.sh script for dbus
if [ ! -d var/lib/dbus ]; then
	mkdir -p var/lib/dbus
fi

# if rc.messagebus is executable, run it on startup
run=`grep ". /etc/rc.d/rc.messagebus" etc/rc.d/rc.local`
if [[ "${run}" == "" ]]; then	
cat << EOF >> etc/rc.d/rc.local

# To disable dbus, chmod rc.messagebus to 644
if [ -x /etc/rc.d/rc.messagebus ]; then
  echo "Starting D-BUS Messaging Subsystem"
  . /etc/rc.d/rc.messagebus start
fi
EOF
fi

( cd usr/lib ; rm -rf libdbus-1.so.0 )
( cd usr/lib ; ln -sf libdbus-1.so.0.0.0 libdbus-1.so.0 )
( cd usr/lib ; rm -rf libdbus-1.so )
( cd usr/lib ; ln -sf libdbus-1.so.0.0.0 libdbus-1.so )
( cd usr/lib ; rm -rf libdbus-glib-1.so.0 )
( cd usr/lib ; ln -sf libdbus-glib-1.so.0.0.0 libdbus-glib-1.so.0 )
( cd usr/lib ; rm -rf libdbus-glib-1.so )
( cd usr/lib ; ln -sf libdbus-glib-1.so.0.0.0 libdbus-glib-1.so )
( cd usr/lib ; rm -rf libdbus-qt-1.so.1 )
( cd usr/lib ; ln -sf libdbus-qt-1.so.1.0.0 libdbus-qt-1.so.1 )
( cd usr/lib ; rm -rf libdbus-glib-1.so.1 )
( cd usr/lib ; ln -sf libdbus-glib-1.so.0.0.0 libdbus-glib-1.so.1 )
( cd usr/lib ; rm -rf libdbus-1.so.1 )
( cd usr/lib ; ln -sf libdbus-1.so.0.0.0 libdbus-1.so.1 )
